ModelSell 文档
视频系列Wan 视频

Wan 3.0 原生视频生成

POST
/api/v1/services/aigc/video-generation/video-synthesis

使用阿里云百炼 Wan 3.0 官方请求体创建异步视频任务。支持 wan3.0-video-primewan3.0-video,以及文生视频、首帧/首尾帧生视频、参考生视频、视频编辑、视频延长、参考文件和参考网页等模式。

请求 ModelSell 服务地址并使用 ModelSell API Key。阿里云上游要求的 X-DashScope-Async: enable 由 ModelSell 自动添加,已有官方客户端也可以继续发送该请求头。

响应保留 Wan 3.0 原生字段,但 output.task_id 是 ModelSell 公共任务 ID。后续通过 GET /api/v1/tasks/{task_id} 查询,不要使用上游任务 ID。

Authorization

bearerAuth
AuthorizationBearer <token>

使用 Authorization Bearer API Key 进行鉴权。

In: header

Header Parameters

X-DashScope-Async?string

原生客户端可保留值 enable;ModelSell 会自动向阿里云上游添加该请求头。

Default"enable"
Value in"enable"

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/api/v1/services/aigc/video-generation/video-synthesis" \  -H "Content-Type: application/json" \  -d '{    "model": "wan3.0-video-prime",    "input": {      "prompt": "一只小猫在月光下的屋顶上奔跑,远处城市霓虹闪烁,电影级光影"    },    "parameters": {      "resolution": "720P",      "ratio": "16:9",      "duration": 5,      "audio": true,      "seed": 7,      "prompt_extend": true,      "watermark": false    }  }'
{
  "output": {
    "task_status": "PENDING",
    "task_id": "task_xxxxxxxxxxxxxxxx"
  },
  "request_id": "request_xxxxxxxxxxxxxxxx"
}
{
  "code": "InvalidParameter",
  "message": "The request parameters are invalid.",
  "request_id": "request_xxxxxxxxxxxxxxxx"
}
{
  "error": {
    "code": "string",
    "message": "string",
    "request_id": "string"
  }
}